Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
aqx8

[yêu cầu] lisp thống kê sự xuất hiện của các đoạn thẳng

Các bài được khuyến nghị

aqx8    0

Em muốn thống kê sự xuất hiện của các đoạn thẳng, gần như là đếm có bao nhiêu đoạn thẳng

NHờ mọi người viết hộ em cái lisp như vậy được không

Thanks cả nhà!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

Em muốn thống kê sự xuất hiện của các đoạn thẳng, gần như là đếm có bao nhiêu đoạn thẳng

NHờ mọi người viết hộ em cái lisp như vậy được không

Thanks cả nhà!

dùng lisp thì cũng tốt tôi. nhưng mình gợi ý bạn cách này, xem dc số lượng những dt khác mà trog Cad có sẵn.

bạn nhấn Ctrl+1 (hoặc lệnh MO) để hiện bảng Properties

sau đó nhấp vào ô mà mình đánh dấu màu đỏ để chọn vùng dt hoặc All để chọn tấc cả. hoặc gõ lệnh PSELECT để chọn dt.

khi này kết quả sẽ dc hiển thị tại chỗ mình đánh dấu màu xanh, gồm tổng cộng bao nhiêu Dt, line bao nhiêu, pline bao nhiêu...

properties.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
aqx8    0

dùng lisp thì cũng tốt tôi. nhưng mình gợi ý bạn cách này, xem dc số lượng những dt khác mà trog Cad có sẵn.

bạn nhấn Ctrl+1 (hoặc lệnh MO) để hiện bảng Properties

sau đó nhấp vào ô mà mình đánh dấu màu đỏ để chọn vùng dt hoặc All để chọn tấc cả. hoặc gõ lệnh PSELECT để chọn dt.

khi này kết quả sẽ dc hiển thị tại chỗ mình đánh dấu màu xanh, gồm tổng cộng bao nhiêu Dt, line bao nhiêu, pline bao nhiêu...

properties.jpg

Cám ơn bạn nhé,mình làm được rrồi,nhưng nếu có thêm cái líp thì hay.

Có líp thì sẽ so sánh đuọc lệnh hay líp nhanh và thuận tiện hơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Cám ơn bạn nhé,mình làm được rrồi,nhưng nếu có thêm cái líp thì hay.

Có líp thì sẽ so sánh đuọc lệnh hay líp nhanh và thuận tiện hơn.

Lsp thì dùng thử cái này xem (lệnh DEM):

(defun C:DEM()
(princ "Chon cac doan thang can dem: ")
(setq ss (ssget '((0 . "Line"))))
(setq so (sslength ss))
(alert (strcat "So doan thang la: " (itoa so)))
(princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
aqx8    0

Lsp thì dùng thử cái này xem (lệnh DEM):

(defun C:DEM()
(princ "Chon cac doan thang can dem: ")
(setq ss (ssget '((0 . "Line"))))
(setq so (sslength ss))
(alert (strcat "So doan thang la: " (itoa so)))
(princ))

Cám ơn bạn nhé, lisp rất hay.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×